<?xml version="1.0" encoding="UTF-8" standalone="no"?>
<operators name="rmx_jackhammer" version="5.0"
	docbundle="com/rapidminer/extension/resources/i18n/OperatorsDocJackhammerExtension">
	<group key="extensions.jackhammer">
		<icon>toolkit.png</icon>
		<group key="process_control">
			<group key="caching">
				<operator>
					<key>cache</key>
					<class>com.owc.operator.cache.CachingOperator
					</class>
				</operator>
				<operator>
					<key>clear_cache</key>
					<class>com.owc.operator.cache.ClearCacheOperator
					</class>
				</operator>
				<operator>
					<key>retrieve_cache</key>
					<class>com.owc.operator.cache.RetrieveCacheOperator
					</class>
				</operator>
			</group>
			<group key="collections">
				<operator>
					<key>combine_indexed_objects</key>
					<class>com.owc.operator.process.collection.CombineIndexedIOObjectsOperator
					</class>
				</operator>
				<operator>
					<key>extend_indexed_object</key>
					<class>com.owc.operator.process.collection.ExtendIndexedIOObjectsOperator
					</class>
				</operator>
				<operator>
					<key>select_by_key</key>
					<class>com.owc.operator.process.collection.SelectIndexedIOObjectOperator
					</class>
				</operator>
			</group>
			<group key="loops">
				<group key="loop_control">
					<operator>
						<key>skip_iteration</key>
						<class>com.owc.operator.loops.control.SkipIterationOperator
						</class>
					</operator>
					<operator>
						<key>break_iteration</key>
						<class>com.owc.operator.loops.control.BreakIterationOperator
						</class>
					</operator>
				</group>
				<group key="time">
					<operator>
						<key>loop_time_windows</key>
						<class>com.owc.operator.loops.time.LoopTimeWindowsOperator
						</class>
					</operator>
					<operator>
						<key>loop_time_windows_intervals</key>
						<class>com.owc.operator.loops.time.LoopTimeWindowsByIntervalOperator
						</class>
					</operator>
				</group>
				<operator>
					<key>loop_advanced</key>
					<class>com.owc.operator.loops.LoopOperator
					</class>
				</operator>
				<operator>
					<key>loop_batches_advanced</key>
					<class>com.owc.operator.loops.LoopBatchesOperator
					</class>
				</operator>
				<operator>
					<key>loop_groups_advanced</key>
					<class>com.owc.operator.loops.LoopGroupsOperator
					</class>
				</operator>
				<operator>
					<key>loop_repository_advanced</key>
					<class>com.owc.operator.loops.LoopRepositoryOperator
					</class>
				</operator>
				<operator>
					<key>loop_files_advanced</key>
					<class>com.owc.operator.loops.LoopFilesOperator
					</class>
				</operator>
				<operator>
					<key>loop_index</key>
					<class>com.owc.operator.loops.LoopIndexOperator
					</class>
				</operator>
				<operator>
					<key>loop_remote_files</key>
					<class>com.owc.operator.loops.LoopRemoteFilesOperator</class>
				</operator>
			</group>
			<operator>
				<key>synchronize</key>
				<class>com.owc.operator.process.SynchronizeOperatorChain
				</class>
			</operator>
			<operator>
				<key>stop_process_graciously</key>
				<class>com.owc.operator.process.StopProcessGraciouslyOperator
				</class>
			</operator>
			<operator>
				<key>handle_exception_advanced</key>
				<class>com.owc.operator.process.HandleExceptionOperator
				</class>
			</operator>
			<operator>
				<key>determine_order</key>
				<class>com.owc.operator.process.DetermineOrderOperator
				</class>
			</operator>
			<operator>
				<key>execute_process_advanced</key>
				<class>com.owc.operator.process.ExecuteProcessOperator</class>
			</operator>
			<operator>
				<key>extract_macro_advanced</key>
				<class>com.owc.operator.process.ExtractMacroOperator</class>
			</operator>
			<operator>
				<key>extract_macro_from_collection</key>
				<class>com.owc.operator.process.ExtractMacroFromCollectionOperator
				</class>
			</operator>
			<operator>
				<key>extract_macros_from_example</key>
				<class>com.owc.operator.process.ExtractMacrosFromExampleOperator
				</class>
			</operator>
			<operator>
				<key>extract_macro_from_performance</key>
				<class>com.owc.operator.process.ExtractMacroFromPerformanceOperator</class>
			</operator>
		</group>
		<group key="testing">
			<operator>
				<key>assert_equality</key>
				<class>com.owc.operator.assertions.AssertEqualityOperator
				</class>
			</operator>
		</group>
		<group key="io">
			<group key="loops">
				<operator>
					<key>read_csv_batchwise</key>
					<class>com.owc.operator.io.batching.ReadCSVBatchwiseOperator
					</class>
				</operator>
			</group>
			<group key="compression">
				<operator>
					<key>read_gzip_file</key>
					<class>com.owc.operator.io.ReadGZIPFileOperator
					</class>
				</operator>
				<operator>
					<key>write_gzip_file</key>
					<class>com.owc.operator.io.WriteGZIPFileOperator
					</class>
				</operator>
			</group>
			<group key="cryptography">
				<operator>
					<key>encrypt_file</key>
					<class>com.owc.operator.io.file.encryption.EncryptFileObjectOperator
					</class>
				</operator>
				<operator>
					<key>decrypt_file</key>
					<class>com.owc.operator.io.file.encryption.DecryptFileObjectOperator
					</class>
				</operator>
				<operator>
					<key>extract_hash</key>
					<class>com.owc.operator.io.file.ExtractHashOperator
					</class>
				</operator>
			</group>
				<operator>
					<key>open_process</key>
					<class>com.owc.operator.io.OpenProcessOperator
					</class>
				</operator>

			<operator>
				<key>read_object</key>
				<class>com.owc.operator.io.ReadObjectOperator</class>
			</operator>
			<operator>
				<key>write_object</key>
				<class>com.owc.operator.io.WriteObjectOperator</class>
			</operator>
			<operator>
				<key>read_matlab</key>
				<class>com.owc.operator.io.ReadMatLabFileOperator</class>
			</operator>
			<operator>
				<key>store_result</key>
				<class>com.owc.operator.io.StoreResultOperator</class>
			</operator>
			<operator>
				<key>open_remote_file</key>
				<class>com.owc.operator.io.OpenRemoteFileOperator</class>
			</operator>
			<operator>
				<key>write_remote_file</key>
				<class>com.owc.operator.io.WriteRemoteFileOperator</class>
			</operator>
			<operator>
				<key>delete_remote_file</key>
				<class>com.owc.operator.io.DeleteRemoteFileOperator</class>
			</operator>
			<operator>
				<key>move_remote_file</key>
				<class>com.owc.operator.io.MoveRemoteFileOperator</class>
			</operator>
		</group>
		<group key="generation">
			<operator>
				<key>generate_sequence</key>
				<class>com.owc.operator.GenerateSequenceOperator
                </class>
			</operator>
			<operator>
				<key>generate_sequence_data</key>
				<class>com.owc.operator.data.generation.GenerateSequenceDataOperator
				</class>
			</operator>
			<operator>
				<key>generate_description_data</key>
				<class>com.owc.operator.data.generation.GenerateDescriptionDataOperator
				</class>
			</operator>
			<operator>
				<key>generate_group_sequences</key>
				<class>com.owc.operator.data.generation.GenerateGroupSequencesOperator
				</class>
			</operator>
			<operator>
				<key>generate_group_indices</key>
				<class>com.owc.operator.data.generation.GenerateGroupIndicesOperator
				</class>
			</operator>
			<operator>
				<key>generate_empty_data</key>
				<class>com.owc.operator.data.generation.GenerateEmptyDatasetOperator
				</class>
			</operator>
			<operator>
				<key>generate_data_from_macros</key>
				<class>com.owc.operator.data.generation.GenerateDataFromMacrosOperator
				</class>
			</operator>
			<operator>
				<key>generate_data_from_expressions</key>
				<class>com.owc.operator.data.generation.GenerateDataFromExpressionsOperator
				</class>
			</operator>
		</group>
		<group key="modeling">
			<operator>
				<key>indexed_model</key>
				<class>com.owc.operator.learner.meta.IndexedModelOperator</class>
			</operator>
			<operator>
				<key>combine_indexed_models</key>
				<class>com.owc.operator.learner.meta.CombineIndexedModelsOperator
				</class>
			</operator>
			<operator>
				<key>extend_indexed_model</key>
				<class>com.owc.operator.learner.meta.ExtendIndexedModelOperator
				</class>
			</operator>
		</group>
		<group key="selection">
			<operator>
				<key>optimize_attribute_set_evolutionary</key>
				<class>com.owc.operator.optimization.selection.OptimizeFeatureSetOperatorChain</class>
			</operator>
			<operator>
				<key>select_attributes_by_data</key>
				<class>com.owc.operator.SelectAttributesByData</class>
			</operator>
		</group>

		<group key="transformation">
			<operator>
				<key>discretize_by_specification_data</key>
				<class>com.owc.operator.data.transformation.DiscretizeBySpecificationData
				</class>
			</operator>
			<operator>
				<key>sort_advanced</key>
				<class>com.owc.operator.data.transformation.SortOperator</class>
			</operator>
			<operator>
				<key>union_advanced</key>
				<class>com.owc.operator.data.transformation.UnionOperator</class>
			</operator>
			<operator>
				<key>set_minus_advanced</key>
				<class>com.owc.operator.data.transformation.SetMinusOperator</class>
			</operator>
			<operator>
				<key>intersect_advanced</key>
				<class>com.owc.operator.data.transformation.IntersectOperator
				</class>
			</operator>
			<operator>
				<key>difference</key>
				<class>com.owc.operator.data.transformation.DifferenceOperator
				</class>
			</operator>
			<operator>
				<key>lag_advanced</key>
				<class>com.owc.operator.data.transformation.LagOperator</class>
			</operator>
		</group>
		<group key="series">
			<group key="audio">
				<operator>
					<key>play_audio</key>
					<class>com.owc.operator.series.audio.PlayAudioOperator</class>
				</operator>
			</group>
			<operator>
				<key>resample_series_data</key>
				<deprecatedSince>1.4</deprecatedSince>
				<class>com.owc.operator.series.ResampleSeriesOperator</class>
			</operator>
			<operator>
				<key>resample_series_data_multiple</key>
				<class>com.owc.operator.series.ResampleMultipleSeriesOperator
				</class>
			</operator>
			<operator>
				<key>aggregate_windows</key>
				<class>com.owc.operator.series.AggregateWindowsOperator</class>
			</operator>
			<operator>
				<key>aggregate_time_windows</key>
				<class>com.owc.operator.series.AggregateTimeWindowsOperator</class>
			</operator>
			<operator>
				<key>define_windows</key>
				<class>com.owc.operator.series.DefineWindowsOperator</class>
			</operator>
		</group>
		<group key="validation">
			<operator>
				<key>cross_validation</key>
				<class>com.owc.operator.validation.CrossValidationOperator</class>
			</operator>
			<operator>
				<key>split_validation</key>
				<class>com.owc.operator.validation.SplitValidationOperator</class>
			</operator>
			<operator>
				<key>sliding_window_validation</key>
				<class>com.owc.operator.validation.SlidingWindowValidationOperator</class>
			</operator>
		</group>
		<group key="graph">
			<operator>
				<key>extract_tree_from_repository</key>
				<class>com.owc.operator.graph.ExtractTreeFromRepositoryOperator
				</class>
			</operator>
			<operator>
				<key>tree_to_relational_data</key>
				<class>com.owc.operator.graph.TreeToRelationalDataOperator
				</class>
			</operator>
			<operator>
				<key>relational_data_to_tree</key>
				<class>com.owc.operator.graph.RelationalDataToTreeOperator
				</class>
			</operator>
			<operator>
				<key>wide_data_to_tree</key>
				<class>com.owc.operator.graph.WideDataToTreeOperator
				</class>
			</operator>
			<operator>
				<key>tree_to_wide_data</key>
				<class>com.owc.operator.graph.TreeToWideDataOperator
				</class>
			</operator>
			<operator>
				<key>select_descendants</key>
				<class>com.owc.operator.graph.SelectDescendantsOperator
				</class>
			</operator>
			<operator>
				<key>select_ancestors</key>
				<class>com.owc.operator.graph.SelectAncestorsOperator
				</class>
			</operator>
		</group>
		<group key="blending">
			<operator>
				<key>rename_advanced</key>
				<class>com.owc.operator.preprocessing.RenameAttributesOperator
				</class>
			</operator>
			<operator>
				<key>nominal_to_date_advanced</key>
				<class>com.owc.operator.preprocessing.transformation.NominalToDateOperator
				</class>
			</operator>
			<operator>
				<key>nominal_to_polynominal</key>
				<class>com.owc.operator.preprocessing.transformation.NominalToPolynominalOperator
				</class>
			</operator>
			<operator>
				<key>make_names_great_again</key>
				<class>com.owc.operator.preprocessing.transformation.MakeNamesGreatAgainOperator
				</class>
			</operator>
			<operator>
				<key>create_features</key>
				<class>com.owc.operator.preprocessing.transformation.CreateFeaturesOperatorChain
				</class>
			</operator>
			<group key="generation">
				<operator>
					<key>generate_concatenation_advanced</key>
					<class>com.owc.operator.preprocessing.generation.GenerateConcatenationOperator
					</class>
				</operator>
				<operator>
					<key>generate_hash</key>
					<class>com.owc.operator.preprocessing.generation.GenerateHashOperator
					</class>
				</operator>
			</group>
		</group>
		<group key="cleansing">
			<group key="validity">
				<operator>
					<key>declare_valid_values</key>
					<class>com.owc.operator.preprocessing.cleansing.DeclareValidValuesOperator
					</class>
				</operator>
			</group>
		</group>
	</group>
</operators>
